QwtPickerClickPointMachine(3)

NAME
QwtPickerClickPointMachine -

A state machine for point selections.

SYNOPSIS

#include <qwt_picker_machine.h>

Inherits QwtPickerMachine.

  Public Types
enum Command { Begin, Append, Move, End }
typedef QList< Command > CommandList

  Public Member Functions
void reset ()
void setState (int)
int state () const
virtual CommandList transition (const QwtEventPattern &, const QEvent *)

Detailed Description

A state machine for point selections. Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 selects a point.

See also:
    QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Member Enumeration Documentation

  enum QwtPickerMachine::Command [inherited]

Commands - the output of the state machine.

Member Function Documentation

  void QwtPickerMachine::reset () [inherited]

Set the current state to 0.

  void QwtPickerMachine::setState (intstate) [inherited]

Change the current state.

  int QwtPickerMachine::state () const [inherited]

Return the current state.

  QwtPickerMachine::CommandList QwtPickerClickPointMachine::transition (const QwtEventPattern &eventPattern, const QEvent *e) [virtual]

Transition.

Implements QwtPickerMachine.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.